Bug 240397 - CVE-2007-2721: jasper DoS, heap corruption
CVE-2007-2721: jasper DoS, heap corruption
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jasper (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks: CVE-2007-2721
  Show dependency treegraph
 
Reported: 2007-05-17 03:56 EDT by Ville Skyttä
Modified: 2008-09-08 08:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 23:35:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-05-17 03:56:22 EDT
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-2721

"The jpc_qcx_getcompparms function in jpc/jpc_cs.c for the JasPer JPEG-2000
library (libjasper) before 1.900 allows remote user-assisted attackers to cause
a denial of service (crash) and possibly corrupt the heap via malformed image
files, as originally demonstrated using imagemagick convert."

Appears to affect 1.900.1 too.
Comment 1 Rex Dieter 2007-05-29 12:01:26 EDT
%changelog
* Wed May 23 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.900.1-2
- CVE-2007-2721 (#240397)

Built most everywhere, except F7+, pending F7 release and update mechanism.
Comment 2 Rex Dieter 2007-05-30 23:35:31 EDT
F7 security update requested.

Queued fixed FC-5, FC-6 builds as well, I was wrong before, had only done
epel-4, epel-5 builds.

closing.

Note You need to log in before you can comment on or make changes to this bug.